Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Label

All Superinterfaces:
  AbstractFigure, org.eclipse.emf.ecore.EObject, Figure, Layoutable, org.eclipse.emf.common.notify.Notifier, RealFigure

All Known Implementing Classes:
  LabelImpl

    public interface Label

extends RealFigure

A representation of the model object 'Label'. org.eclipse.draw2d.Label

The following features are supported:

- `Text`

See Also:
  `GMFGraphPackage.getLabel()`
** Generated **
Model:

Method Summary
`java.lang.String` `getText()` Returns the value of the 'Text' attribute
`void` `setText(java.lang.String value)` Sets the value of the '`Text`' attribute

Methods inherited from interface org.eclipse.gmf.gmfgraph.RealFigure
`getChildren, getName, setName`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getText

    java.lang.String getText()

  Returns the value of the 'Text' attribute.

  If the meaning of the 'Text' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text' attribute.
  See Also:
    `setText(String)`, `GMFGraphPackage.getLabel_Text()`
  ** Generated **
  Model:

### setText

    void setText(java.lang.String value)

  Sets the value of the '`Text`' attribute.

  Parameters:
    `value` - the new value of the 'Text' attribute.
  See Also:
    `getText()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.